Loading...
Searching...
No Matches
BALL::CharmmTorsion::SingleCharmmTorsion Struct Reference

`#include <BALL/MOLMEC/CHARMM/charmmTorsion.h>`

## Public Member Functions

| SingleCharmmTorsion ()
| SingleCharmmTorsion (CosineTorsion::SingleData &t)

## Public Attributes

Atom * | atom1
Atom * | atom2
Atom * | atom3
Atom * | atom4
float | V
unsigned char | f
float | phase

## Detailed Description

Definition at line 48 of file charmmTorsion.h.

## Constructor & Destructor Documentation

## SingleCharmmTorsion() [1/2]

BALL::CharmmTorsion::SingleCharmmTorsion::SingleCharmmTorsion | ( |  | ) |

inline

Definition at line 59 of file charmmTorsion.h.

## SingleCharmmTorsion() [2/2]

BALL::CharmmTorsion::SingleCharmmTorsion::SingleCharmmTorsion | ( | CosineTorsion::SingleData & | t | ) |

inline

Definition at line 70 of file charmmTorsion.h.

## Member Data Documentation

## atom1

Atom* BALL::CharmmTorsion::SingleCharmmTorsion::atom1

Definition at line 50 of file charmmTorsion.h.

## atom2

Atom* BALL::CharmmTorsion::SingleCharmmTorsion::atom2

Definition at line 51 of file charmmTorsion.h.

## atom3

Atom* BALL::CharmmTorsion::SingleCharmmTorsion::atom3

Definition at line 52 of file charmmTorsion.h.

## atom4

Atom* BALL::CharmmTorsion::SingleCharmmTorsion::atom4

Definition at line 53 of file charmmTorsion.h.

## f

unsigned char BALL::CharmmTorsion::SingleCharmmTorsion::f

Definition at line 56 of file charmmTorsion.h.

## phase

float BALL::CharmmTorsion::SingleCharmmTorsion::phase

Definition at line 57 of file charmmTorsion.h.

## V

float BALL::CharmmTorsion::SingleCharmmTorsion::V

Definition at line 55 of file charmmTorsion.h.